### Function

# RB check_dir_has_space_uri

#### Declaration [src]

    gboolean
    rb_check_dir_has_space_uri (
      const char* uri,
      guint64 bytes_needed
    )

#### Description [src]

Checks that the filesystem holding `uri` has at least `bytes_needed` bytes available.

#### Parameters

`uri`

  Type: `const char*`

  A URI to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bytes_needed`

  Type: `guint64`

  Number of bytes to check for.

#### Return value

Type: `gboolean`

`TRUE` if enough space is available.